<?php
 
 
 

namespace PhpWA\Protocol\Proto\ChatRowOpaqueData;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DraftMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $text = null;
    


    protected $omittedUrl = null;
    


    protected $ctwaContextLinkData = null;
    


    protected $ctwaContext = null;
    


    protected $timestamp = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getText()
    {
        return isset($this->text) ? $this->text : '';
    }

    public function hasText()
    {
        return isset($this->text);
    }

    public function clearText()
    {
        unset($this->text);
    }

    




    public function setText($var)
    {
        GPBUtil::checkString($var, True);
        $this->text = $var;

        return $this;
    }

    



    public function getOmittedUrl()
    {
        return isset($this->omittedUrl) ? $this->omittedUrl : '';
    }

    public function hasOmittedUrl()
    {
        return isset($this->omittedUrl);
    }

    public function clearOmittedUrl()
    {
        unset($this->omittedUrl);
    }

    




    public function setOmittedUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->omittedUrl = $var;

        return $this;
    }

    



    public function getCtwaContextLinkData()
    {
        return $this->ctwaContextLinkData;
    }

    public function hasCtwaContextLinkData()
    {
        return isset($this->ctwaContextLinkData);
    }

    public function clearCtwaContextLinkData()
    {
        unset($this->ctwaContextLinkData);
    }

    




    public function setCtwaContextLinkData($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage\CtwaContextLinkData::class);
        $this->ctwaContextLinkData = $var;

        return $this;
    }

    



    public function getCtwaContext()
    {
        return $this->ctwaContext;
    }

    public function hasCtwaContext()
    {
        return isset($this->ctwaContext);
    }

    public function clearCtwaContext()
    {
        unset($this->ctwaContext);
    }

    




    public function setCtwaContext($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage\CtwaContextData::class);
        $this->ctwaContext = $var;

        return $this;
    }

    



    public function getTimestamp()
    {
        return isset($this->timestamp) ? $this->timestamp : 0;
    }

    public function hasTimestamp()
    {
        return isset($this->timestamp);
    }

    public function clearTimestamp()
    {
        unset($this->timestamp);
    }

    




    public function setTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->timestamp = $var;

        return $this;
    }

}

